<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Fetch API and Promises</title>
</head>

<body>

    <script>

        // console.log("Hakkame küsima ettevõtteid...");
        // function getCompaniesListWithThenApproach() {
        //     let companyListPromise = fetch('http://192.168.55.113:8101/companies');
        //     companyListPromise.then(
        //         function (theDataFromNet) {
        //             let jsObject = theDataFromNet.json();
        //             return jsObject;
        //         }
        //     ).then(
        //         function (companies) {
        //             console.log(companies);
        //         }
        //     ).catch(
        //         function (error) {
        //             console.log("Mingi jama");
        //             console.log(error);
        //         }
        //     );
        // }
        // getCompaniesListWithThenApproach();
        // console.log("Ettevõtted küsistud, promise objekt kätte saadud");

        console.log("Hakkame küsima ettevõtteid async meetodil...");
        async function getCompaniesWithAsynApproach() {
            console.log("Hakkame fetch() meetodi järel ootama....");
            let result = await fetch('http://192.168.55.113:8101/companies');
            let companies = await result.json();
            console.log("Meie ettevõtted on siin...", companies);
            console.log("Valmis, fetch() meetod lõpetas tegevuse!");
        }
        getCompaniesWithAsynApproach();
    </script>
</body>

</html>